@import '_content/ScriptKill/ScriptKill.bundle.scp.css';
@import '_content/BlazorStrap.V5/BlazorStrap.V5.bundle.scp.css';
@import '_content/BlazorStrap/BlazorStrap.bundle.scp.css';

/* _content/ScriptKillApp2/Pages/SignIn.razor.rz.scp.css */

.title[b-nsi4uwszbw] {
    padding: 30px;
    color: rebeccapurple;
    font-family: 'Roboto', sans-serif;
    font-weight: 900;
    font-size:x-large;
}
.btn-login[b-nsi4uwszbw] {
    padding-top: 10px;
    padding-bottom: 10px;
    color: white;
    font-weight: 400;
    font-family: 'Roboto', sans-serif;
}
.forgot-pass[b-nsi4uwszbw] {
    padding-top: 10px;
    float: right;
    color: #C70039;
    font-style: italic;
}

    .forgot-pass:hover[b-nsi4uwszbw] {
        cursor: pointer;
        color: #900C3F;
        text-decoration: underline;
    }
/* _content/ScriptKillApp2/Shared/MainLayout.razor.rz.scp.css */
.page[b-w5k8fyzr1m] {
    height: 100%;
    font-family: var(--bs-font-sans-serif);
/*    border-style: solid;
    border-color: white;*/
}

[b-w5k8fyzr1m] .icon-back {
    -webkit-mask-image: url("images/back.svg");
    mask-image: url("images/back.svg");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    width: 1rem;
    height: 1rem;
    background-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

/*::deep .content {
    overflow: auto;
}*/

[b-w5k8fyzr1m] .back-button:hover .icon-back {
    background-color: var(--dxbl-btn-hover-color);
}

@media (max-width: 768px) {
    [b-w5k8fyzr1m] .layout-sidebar {
        grid-area: header / header / header / header !important;
    }
}


/* _content/ScriptKillApp2/Shared/NavMenu.razor.rz.scp.css */
#sidebar[b-vq7x4dd0z0] {
    min-width: 15rem;
    max-width: 15rem;
    box-shadow: 0px 2px 8px 0px rgba(0, 0, 0, 0.16);
    transition: transform 0.1s ease-out;
    height: 100%;
    max-height: 100%;
    /* background-image: linear-gradient(180deg, var(--bs-primary) 150%, var(--bs-black) 0%);*/
    /*    background-color: #3c3b3b;
    border-style: solid;
    border-color: white*/
    background-color: #1d1d1d;
}

    #sidebar.auto-expanded[b-vq7x4dd0z0] {
        display: none;
    }

[b-vq7x4dd0z0] .sidebar-header {
    padding: 2rem 1rem;
  
}

.logo[b-vq7x4dd0z0] {
    text-align: center;
}

[b-vq7x4dd0z0] .menu-button-container {
    display: none;
    align-self: center;
}

.menu-button[b-vq7x4dd0z0] {
    padding: 0.375rem;
    width: 1.875rem;
    height: 1.875rem;
    background-image: url("images/menu.svg");
    background-position: center;
    background-repeat: no-repeat;
    cursor: pointer;
}

[b-vq7x4dd0z0] .menu {
    background-color: inherit;
}

    [b-vq7x4dd0z0] .menu .dxbl-menu-item-list {
        gap: 0.5rem;
    }

[b-vq7x4dd0z0] .menu-item {
    color: var(--bs-white);
}

[b-vq7x4dd0z0] .icon {
    width: 1rem;
    height: 1rem;
    background-position: center;
    background-repeat: no-repeat;
    margin-left: 0.5rem;
}

[b-vq7x4dd0z0] .home-icon {
    background-image: url("images/home.svg");
}

[b-vq7x4dd0z0] .weather-icon {
    background-image: url("images/weather.svg");
}

[b-vq7x4dd0z0] .counter-icon {
    background-image: url("images/counter.svg");
}

[b-vq7x4dd0z0] .docs-icon {
    mask-image: url("images/doc.svg");
    -webkit-mask-image: url("images/doc.svg");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

[b-vq7x4dd0z0] .demos-icon {
    mask-image: url("images/demos.svg");
    -webkit-mask-image: url("images/demos.svg");
    -webkit-mask-repeat: no-repeat;
    mask-repeat: no-repeat;
    background-color: var(--dxbl-btn-color);
}

[b-vq7x4dd0z0] .footer-button:hover .demos-icon {
    background-color: var(--dxbl-btn-hover-color);
}

[b-vq7x4dd0z0] .footer-button:hover .docs-icon {
    background-color: var(--dxbl-btn-hover-color);
}

[b-vq7x4dd0z0] .footer {
    text-align: center;
    gap: 0.5rem;
    padding-bottom: 1.5rem;
}

#sidebar.expanded[b-vq7x4dd0z0]  .layout-item {
    display: block;
}

#sidebar.expanded[b-vq7x4dd0z0]  .footer {
    display: block;
}

@media (max-width: 768px) {
    #sidebar[b-vq7x4dd0z0] {
        min-width: inherit;
        max-width: inherit;
        display: block;
    }
        #sidebar.auto-expanded[b-vq7x4dd0z0] {
            position: fixed;
            width: 100%;
            z-index: 3;
            display: block;
        }

        #sidebar.expanded[b-vq7x4dd0z0] {
            position: fixed;
            width: 100%;
            z-index: 3;
            display: block;
        }

            #sidebar.expanded[b-vq7x4dd0z0]  .sidebar-header {
                border-bottom: 1px solid var(--bs-white);
            }

            #sidebar.expanded .menu-button[b-vq7x4dd0z0] {
                background-image: url("images/close.svg");
            }

        #sidebar:not(.expanded)[b-vq7x4dd0z0]  .dxbl-gridlayout-root {
            gap: unset !important;
        }

    .logo[b-vq7x4dd0z0] {
        text-align: inherit;
    }

    [b-vq7x4dd0z0] .menu-button-container {
        display: block;
    }

    [b-vq7x4dd0z0] .layout-item {
        display: none;
    }

    [b-vq7x4dd0z0] .footer {
        display: none;
    }
}
